JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.SIZE

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.SIZE

Enclosing interface:
  WinUser

    public static class WinUser.SIZE

extends Structure

Specifies the width and height of a rectangle.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `cx`
`int` | `cy`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.SIZE()`
`WinUser.SIZE(int w, int h)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cx

    public int cx

### cy

    public int cy

Constructor Detail

### WinUser.SIZE

    public WinUser.SIZE()

### WinUser.SIZE

    public WinUser.SIZE(int w,
                        int h)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.